﻿////mr-bundler-ignore

function mrGetSiteLang() {

    var englishbtn = jQuery("ul.navbar-nav span:contains('EN')");
    var arabicBtn = jQuery("ul.navbar-nav span:contains('عربي')");

    if (englishbtn.length > 0) {
        return "ar";
    }
    if (arabicBtn.length > 0) {
        return "en";
    }
}

if (typeof mrLastUrl === 'undefined') {
  var mrLastUrl = mrGetSiteLang();
}

var MrModify = function () { }
function MrStartUI() {
    MrMUISecoundryColor = '#464646';
    MrMUIPrimaryColor = '#F5F5F5';
    MrMUIToolWidth = "30vw";
    MrMUIToolMaxWidth = "650px";
    MrMUIToolMinWidth = "400px";
    MrExcludedCSSElementsSelector = ".fa, .fab, .fad, .fal, .far, .fas,i,.fa-light";
    mrExcludedHideImgSelector += ",#DeafTranslate img";
    Mrnoggt = false;
    MrCID = 314;
    MrAudCid = 59;
    MrArabicUIisOn = mrGetSiteLang() == "ar";
    MrArabicFlag = "saudi";
    MrMUIGoogleTranslateDivID = "mr-google-div";
    MrHideGoogleBar = true;
    MrGotoArabicVersion = function () {
        mrshowOriginalLangBtn();
        if (!MrArabicUIisOn) {
            MrEndgoogleTranslate();
            setTimeout(function () {
                jQuery("#mr-lang-btn")[0].click();
            }, 100);
            
            mrLastUrl = mrGetSiteLang();
            MrUPChangeToolLangToAR();
        }
    };
    MrGotoEnglishVersion = function () {
        mrshowOriginalLangBtn();
        if (MrArabicUIisOn) {

            MrEndgoogleTranslate();
            setTimeout(function () {
                 jQuery("#mr-lang-btn")[0].click();
            }, 100);
           
            mrLastUrl = mrGetSiteLang();
            MrUPChangeToolLAngToEN();
        }
    };
    mrPostgoogleTranslate = function () {
        if (mrGetTranslationChosenLang() != 'ar' && mrGetTranslationChosenLang() != 'en' && mrGetTranslationChosenLang() != null) {

            mrshowNewLangBtn();
        }
    }
    MrModify();
    MRUAPPrepareUI(["MrText2Speech","MrControl_Page_contrast", "MrCursor_Helpers", "MrChangefont", "MrPage_saturation_control", "MrWords_Spacing", "MrRealWords_Spacing", "MrLine_Spacing", "MrEnlarge_Fonts", "MrHighlight_Links", "MrAnimation", "MrText_Alignments", "MrHideImgs","MrPage_Structure"], ["MrVisuallyImpaired", "Mrdyslexia", "MrADHD", "MrSeizureAndEpilepsy", "MrColor_Blind", "Mrcognitive_education", "MrImpaired_mobility"]);

    var MrIconMessage = MrArabicUIisOn ? "مساعدة في استخدام الموقع" : "Assist using site";

    var MrIconToAdd =
        '<div id="MrAccessInHand" title="' +
        MrIconMessage +
        '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' +
        MrIconMessage +
        '"></div>';
    MrUAPAddStyle(
        "#MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 99;cursor:pointer; position: fixed; bottom: 145px; left: 5px; background-color: #00000080; border-radius: 0px;width:50px;height:50px;text-align:center } #MrAccessInHand img{filter:" +
        MrUtilHexToFilter(MrMUIWhite) +
        ";margin-top:5px;width:40px}",
        "MrbuttonCSS"
    );
    jQuery("body").append(MrIconToAdd);
    MrUAPAddStyle(".MrT2SDiv { bottom: 160px; }" , "MrUIFIXS");
    jQuery("#MrAccessInHand").click(function () {
        MrToolCheckLicense();
        MrUAPShowAssistiveTool();
        MrMUIGetGoogleTranslationValues(2);
        if (MrArabicUIisOn) {
            jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
        } else {
            jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
        }
    });
    MrUAPPrepareMrOrgColor();
    MrMUIActivateShotcuts();
    MrlistenForDynamicComponents('.mr-muiTool,.MrT2SDiv,.Highlite,app-root,div#MrAccessInHand');
    jQuery(".MrBotLogo").attr('src', 'https://cdn.mindrocketsapis.com/client/imgs/png/bottomlogo-nomr.png');
    MrActivateLanguageChecker();
    mrCatchLangButton();
    
}
////endmr-bundler-ignore
jQuery(document).ready(function () {
    setTimeout(function () {
        MrStartUI();
    }, 500);
});

function mrCatchLangButton(){
    setTimeout(function(){
        var englishbtn = jQuery("ul.navbar-nav span:contains('EN')").parent();
        var arabicBtn =  jQuery("ul.navbar-nav span:contains('عربي')").parent();

        if(englishbtn.length > 0){
            englishbtn.addClass('skiptranslate');
            englishbtn.attr('id','mr-lang-btn');
            mrRegisterNewLangBtn();
            return;
        }

        if(arabicBtn.length > 0){
            arabicBtn.addClass('skiptranslate');
            arabicBtn.attr('id','mr-lang-btn');
           mrRegisterNewLangBtn();
            return;
        }
        mrCatchLangButton();


    },1000);
}

function mrRegisterNewLangBtn() {
    var newlangBtn = jQuery('#mr-lang-btn').clone();
    newlangBtn[0].id = "mr-open-language-tabs-btn";
    newlangBtn[0].innerHTML = '<span class="fa-light fa-globe" aria-hidden="true"></span>'
    jQuery('#top-nav .MTtopNav .navbar .navbar-nav li:nth(2)').append(newlangBtn);
    newlangBtn.hide();

    newlangBtn.click(function () {
        ToggleMrLanguageTab();
    });

}


var mruapTimeoutFix = undefined;
function MrActivateLanguageChecker() {
    setInterval(function () {
        if (mruapTimeoutFix != undefined) {
            clearTimeout(mruapTimeoutFix);
        }
        mruapTimeoutFix = setTimeout(function () {
            var la = mrGetSiteLang();
            if (mrLastUrl != la && (la == "ar" || la == "en")) {
                MrEndgoogleTranslate();
                MrArabicUIisOn = mrGetSiteLang() == "ar";
                MrRemoveActiveTranslateButtonStyle();
                
                if (MrArabicUIisOn) {
                    MrUPChangeToolLangToAR();
                    jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
                    jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
                } else {
                    MrUPChangeToolLAngToEN();
                    jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
                    jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
                }
                mrRemoveTranslationChosenLang();
                mrLastUrl = mrGetSiteLang();
            }
        }, 500)

    mrPostgoogleTranslate();
    }, 1000);
}

function mrshowNewLangBtn(){
 jQuery('#mr-lang-btn').hide();
        jQuery("#mr-open-language-tabs-btn").show();
}
function mrshowOriginalLangBtn(){
 jQuery('#mr-lang-btn').show();
        jQuery("#mr-open-language-tabs-btn").hide();
}
